Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 10 May 2021 03:07:13 +0000

Hi Mohammad shafeeque,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hello,

Order No: 8259512125

Please note that I placed a order online and picked it up today at Fahaheel, Kuwait store. But unfortunately they have given me wrong items. After waiting at the store for more than half an hour giving the wrong items to the customers is completely unacceptable.

Please see the attached pictures of the items which I received and make urgent arrangements to deliver the correct items immediately.

Also the customer service was worst at the Fahaheel store as the person who giving the goods make me wait more than half hour to give me the stuff.

Please let me know the process to get the item which I ordered. As this is not my fault I will not go to the store to return and get my item or to get the refund.

Thank you,

Prabode Upamal https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2554331